delete from z_t02_2cp where p01 not in ({my_codes});
/*peg_end*/
update z_t02_2cp set nr01=peg_new_nr01('t02', 1);
/*peg_end*/

delete from z_t10_2cp where p01 not in ({my_codes});
/*peg_end*/
update z_t10_2cp set nr01=peg_new_nr01('t10', 1);
/*peg_end*/

delete from z_t11_2cp where substr(p01, 1, 5) not in ({my_codes});
/*peg_end*/
update z_t11_2cp set nr01=peg_new_nr01('t11', 1);
/*peg_end*/

